spago-0.21.0

Safe Haskell | None
Language | Haskell2010

Spago.DryRun

Synopsis

- data DryRun
  - = DryRun
  - | NoDryRun
- data DryAction env = DryAction {
  - dryMessage :: Text
  - dryAction :: HasLogFunc env => RIO env ()
  }
- runDryActions :: HasLogFunc env => DryRun -> NonEmpty (DryAction env) -> RIO env ()

# Documentation

data DryRun #

Whether to actually perform side-effects

Constructors

DryRun |
NoDryRun |

data DryAction env #

Wrapper for Spago actions that can be dry run

Constructors

DryAction |

Fields

- dryMessage :: Text
- dryAction :: HasLogFunc env => RIO env ()

runDryActions :: HasLogFunc env => DryRun -> NonEmpty (DryAction env) -> RIO env () #